<!doctype html>
<html
	lang="en"
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
	class="scroll-smooth"
>
	<head>
		<!-- Required meta tags -->
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<!--favicon-->
		<link rel="icon" type="image/x-icon" th:href="@{'/img/favicon.png'}" />

		<!-- my style-->
		<link th:href="@{'/dist/css/main.css'}" rel="stylesheet" />
		<title>STMIK Tazkia</title>
	</head>
	<body class="bg-surface-higher">
		<div
			x-data="{openSidebar : window.innerWidth >= 1024 }"
			x-init="window.addEventListener('resize', () => openSidebar = window.innerWidth >= 1024)"
			class="relative flex min-h-svh w-full flex-nowrap"
		>
			<!--Sidebar-->
			<!-- backdrop -->
			<div
				x-show="openSidebar"
				@click="openSidebar = !openSidebar"
				x-transition:enter="transition ease-out duration-100"
				x-transition:enter-start="opacity-0"
				x-transition:enter-end="opacity-100"
				x-transition:leave="transition ease-in duration-300"
				x-transition:leave-start="opacity-100"
				x-transition:leave-end="opacity-0"
				class="fixed inset-0 z-40 bg-black/80 lg:hidden"
			></div>
			<!-- sidebar container -->
			<aside th:replace="~{layouts/partials/sidebar.html :: sidebar}">sidebar</aside>
			<!--End Sidebar-->

			<div
				:class="{'lg:ml-64' : openSidebar}"
				class="min-w-0 flex-1 grow transition-[margin-left] duration-300 ease-in-out lg:ml-64"
			>
				<!--Topbar-->
				<nav th:replace="~{layouts/partials/topbar.html :: topbar}">topbar</nav>
				<!--End Topbar-->

				<!-- Page Content -->
				<main>
					<div layout:fragment="content"></div>
				</main>
			</div>
		</div>
		<script th:src="@{'/dist/js/main.js'}"></script>
	</body>
</html>
